# Set TG bot commands

Sets TG bot commands.

```http
PUT https://api.pozy.ai/v1/accounts/{accountId}/telegram-commands
```

- Area: Accounts & connections / Account Settings
- Auth: Authorization: Bearer pz_live_...
- Coming soon: Telegram accounts cannot be connected yet (GET /v1/connect/telegram returns 403 feature_not_available)

## Path parameters

- `accountId` (string, required)

## Request body

Content type: `application/json`

- `commands`, array of object, required: Up to 100 items
  - `command`, string, required: 1 to 32 characters. Matches `^[a-z0-9_]+$`
  - `description`, string, required: 1 to 256 characters

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/telegram-commands" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "commands": [
    {
      "command": "string",
      "description": "A short description"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/telegram-commands", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    commands: [
      {
        command: "string",
        description: "A short description"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/telegram-commands",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "commands": [
            {
                "command": "string",
                "description": "A short description",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200
